%global pypi_name toml

Summary:        Python Library for Tom's Obvious, Minimal Language
Name:           python-%{pypi_name}
Version:        0.10.2
Release:        5%{?dist}
License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python3-rpm-generators
BuildRequires:  pyproject-rpm-macros

%bcond_with tests
%if %{with tests}
BuildRequires:  /usr/bin/toml-test
%endif

%description
TOML aims to be a minimal configuration file format that's easy to read due to \
obvious semantics. TOML is designed to map unambiguously to a hash table. TOML \
should be easy to parse into data structures in a wide variety of languages. \
This package loads toml file into python dictionary and dump dictionary into \
toml file.


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
TOML aims to be a minimal configuration file format that's easy to read due to \
obvious semantics. TOML is designed to map unambiguously to a hash table. TOML \
should be easy to parse into data structures in a wide variety of languages. \
This package loads toml file into python dictionary and dump dictionary into \
toml file.



%prep
%autosetup -p1 -n %{pypi_name}-%{version}
sed -i '/pytest-cov/d' tox.ini



%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}



%build
%pyproject_wheel



%install
%pyproject_install
%pyproject_save_files %{pypi_name}



%if %{with tests}
%check
ln -s /usr/share/toml-test/ . 
%tox
ln -s /usr/share/toml-test/tests/* tests/ 
toml-test $(pwd)/tests/decoding_test3.sh
%endif



%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst



%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.10.2-1
- initial
